Skip to content
pols.so docs
Esc
↑↓navigate↵open⌘Jpreview

List the sandbox's published ports

GET/v1/sandboxes/{sandbox}/ports
Authorization
AuthorizationBearer token · headerrequired

Org-scoped API key, pols_....

Path parameters
sandboxstringrequired

Sandbox ID (sbx_...) or name.

Responses
200

The ports, in port order.

portsPort[]required
Show properties
Array of Port
portintegerrequired
min 1 · max 65535
publicbooleanrequired

Open to anyone. Private ports need a login link.

urlstringrequired

The port's HTTPS URL. For a private port, open a login link first.

created_atstring<date-time>required
429

Rate limited (rate_limited): too many requests or failed authentications from this address, too many requests or lifecycle calls for this org, or too many of its exec, file, computer and CDP calls in progress at once. Retry after Retry-After seconds.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
default

Error.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
Request
curl -X GET 'https://api.pols.so/v1/sandboxes/string/ports' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "ports": [
    {
      "port": 1,
      "public": true,
      "url": "https://sbx-3k9x2m1q8zt4-8080.on.pols.so/",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}